
Foreman - Feature #6007

Add hide/show value to smart class params

06/02/2014 07:56 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2866,

https://github.com/theforeman/foreman/p

ull/2975

  

Description

Similar to #5926 we should hide sensitive values. Also we should encrypt values in database (already reported in #3378). It may be

worth of adding new parameter type.

Related issues:

Related to Foreman - Feature #3378: Support for Encrypted Parameters New 10/20/2013

Related to Foreman - Feature #5926: Hide global parameter values Closed 05/26/2014

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Bug #12828: Hidden value checkbox disabled after overrid... Closed 12/15/2015

Related to Foreman - Bug #12843: The matcher value is not hidden while creati... Closed 12/16/2015

Related to Foreman - Bug #12937: Hiding parameters doesn't work on anything e... Closed 12/24/2015

Related to Foreman - Feature #17333: New write-only smart parameter type: Pas... New 11/15/2016

Associated revisions

Revision e4ae4a69 - 12/10/2015 05:48 AM - Ori Rabin

Fixes #6007 - Allowing to hide smart class parameters

Revision 98e79eff - 12/17/2015 06:20 AM - Ori Rabin

Refs #6007 - fixing safe_value for lookup key

History

#1 - 06/02/2014 07:56 AM - Marek Hulán

- Related to Feature #3378: Support for Encrypted Parameters added

#2 - 06/02/2014 07:56 AM - Marek Hulán

- Related to Feature #5926: Hide global parameter values added

#3 - 08/04/2014 06:57 AM - Dominic Cleal

- translation missing: en.field_release deleted (10)

#4 - 09/03/2014 06:15 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#5 - 10/28/2014 05:18 AM - Dominic Cleal

- Target version set to 1.7.2

#6 - 10/28/2014 05:22 AM - Dominic Cleal

- translation missing: en.field_release deleted (21)
#7 - 03/16/2015 10:07 AM - Tom Caspy

- Related to Tracker #4470: Usability of parameters and overrides added

#8 - 10/27/2015 05:09 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2866 added

- Pull request deleted ()

#9 - 11/02/2015 05:56 AM - The Foreman Bot

- Assignee set to Ori Rabin

#10 - 12/10/2015 05:47 AM - Dominic Cleal

- Subject changed from Make smart class params secure to Add hide/show value to smart class params

- translation missing: en.field_release set to 71

#11 - 12/10/2015 06:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e4ae4a6915d7adcaa7fb461a11ee8f6ee273ab47.

#12 - 12/14/2015 10:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/2975 added

#13 - 12/15/2015 08:53 AM - Dominic Cleal

- Related to Bug #12828: Hidden value checkbox disabled after override button is checked added

#14 - 12/16/2015 05:59 AM - Dominic Cleal

- Related to Bug #12843: The matcher value is not hidden while creating matcher. added

#15 - 12/24/2015 04:14 AM - Ori Rabin

- Related to Bug #12937: Hiding parameters doesn't work on anything except host and hostgroup added

#16 - 11/15/2016 03:10 AM - Dominic Cleal

- Related to Feature #17333: New write-only smart parameter type: Password added
